Subject: Re: RE: draft-lasserre-vkompella-ppvpn-vpls as working group draft

From: Du Wenhua <[email-masked]>
Date: Wed, 16 Apr 2003 02:04:59 +0800

Hi, Ali Sajassi
      Thanks for comment. See my comments bellow.	

　　　　　　　　Du Wenhua
　　　　　　　　[email-masked]
　　　　　　　　　　2003-04-16

>>>If two customer share the same VPLS instance, then you would use a single
>>P-VLAN for both of those customers - e.g., there is one-to-one mapping
>>between P-VLAN and VPLS within a given access domain (different QinQ
>>domain). If you're talking about different access domain, then there can be
>>different P-VLANs maps into the same VPLS and if that's your comment, then
>>I would agree and we can clarify the text.
>>
>> >> So you are saying that in the same Q-in-Q access domain P-VLAN is one
>> >> to one mapping with VPLS instance? If this you are talking then I do have
>> >> a problem. In general, the requirement is to support Many P-VLANs per 
>> VPLS
>> >> on the same access domain or access domain& VPLS-MPLS.
>
>I think there is misunderstanding in here. P-VLAN is just to represent a 
>VPLS-id inside the QinQ domain - e.g., VPLS-id can be a 32-bit id for MPLS 
>domain and can be a 12-bit id for QinQ domain. P-VLAN is different from a 
>customer vlans (C-VLANs) and as MPLS domain where several C-VLANs map into 
>the same VPLS instance (represented by an ID), for QinQ domain several 
>C-VLANs map into the same VPLS instance (represented by a 12-bit field).

In this draft, there are two way to treat C-VLAN in MTU-rs:
1)if C-VLAN are not used as service delimiter, add P-VLAN. 
     In this way, the isssue is that if two C-VLAN map into same P-VLAN, the PE-rs can only distinguish two customer by C-VLANs. But, the C-VLAN is untrusted, is not service delimiter. It is wrong for PE-rs to apply different value-add service for different C-VLANs.
    So it is better to map into different P-VLANs for differnent custom if the PE-rs want to distinguish them. 
2)if C-VLAN are used as service delimiter, translating C-VLAN to a P-VLAN 
    In this way, the issue is that if two C-VLAN are tranlated to one P-VLAN, the PE-rs will couldn't distinguish two customer.  
     So it is better way to use different P-VLANs for different customers.

>
>-Ali
>
>
>>Vasile
>>
>>
>>
>>-Ali
>>
>> >  　　　　　　　　Du Wenhua
>> >
>> >
>> >
>> >
>> >
>> > >As noted in the minutes, at the San Francisco meeting strong interest
>> > >was expressed in pursuing the "draft-lasserre-vkompella-ppvpn-vpls"
>> > >as a working group draft. We agreed to finalize that decision only
>> > >after the WG participants who weren't there could have a say.
>> > >
>> > >So, if there are opinions that have not been heard, now is the time,
>> > >and this list is the place. Let's set a one-week limit to conclude
>> > >this issue.
>> > >
>> > >Rick
>> > >
>> > >---------------------------------------------------------------------
>> > >---
>> > >------------------------------------------------------------------------
>> > >---
>> > >From the minutes:
>> > >
>> > >Alex: For a document to become a WG draft, it doesn't have to be 100
>> > >correct.  It can become a WG document if it is a good start.
>> > >Matt: I wanted to make the same comment.
>> > >
>> > >[snipped]
>> > > Marco: asked for show of hands to make this a wG draft. Strong
>> > >interest was shown in room. Further discussion on the list.
>> > >
>> >
>> >

---

From: Ali Sajassi <[email-masked]>
Date: Tue, 15 Apr 2003 13:22:15 -0700

>      In this way, the isssue is that if two C-VLAN map into same P-VLAN, 
> the PE-rs can only distinguish two customer by C-VLANs. But, the C-VLAN 
> is untrusted, is not service delimiter. It is wrong for PE-rs to apply 
> different value-add service for different C-VLANs.
>     In this way, the issue is that if two C-VLAN are tranlated to one 
> P-VLAN, the PE-rs will couldn't distinguish two customer.

I thought this has already been explained in the draft. If not it might 
have been lost during editing. I will double check on this.

Thanks,
Ali